Subject: Bug#3171: Autoconf asks explicitely for mawk

From: Ian Jackson <[email-masked]>
Date: Mon, 3 Jun 96 15:49 BST

Mark Eichin writes ("Bug#3171: Autoconf asks explicitely for mawk"):
> 2.10-2 fixes these...
...
> The package tries to find mawk first, at build time; I made the
> package on a system where I had mawk installed, which caused the
> problem. I've fixed the debian.rules file to override the rule and
> force awk to be /usr/bin/gawk, which is in the "gawk" package but
> marked essential, so I haven't put in a dependency. [If I should, let
> me know - I can be easily convinced. If I should use /usr/bin/awk
> instead, explain why...]

I don't know whether you should use mawk or gawk or awk, but whichever
you use you should search the PATH rather than using an absolute
pathname.

> > Other paths (for example m4) are absolute but this may not be a real
> > problem, though someone may want to have another m4 (for example in
> > /usr/local/bin) used if first in PATH.
> >
> > Yves.
>
> I don't think this is a problem, specifically *because* someone may
> want another m4 in their path, possibly a "classic" m4 which isn't
> going to be good enough. (Besides, that's the m4 that the dependency
> refers to.)

If there is such a thing as an M4 which is not good enough then
perhaps we should provide a link gm4 to m4 ?

Ian.